Bug 122428 - Comments of Tracked Changes are not Displayed at once
Summary: Comments of Tracked Changes are not Displayed at once
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.6.1 release
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2019-01-02 16:01 UTC by Harald Koester
Modified: 2019-04-11 09:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2019-01-02 16:01:21 UTC
In order to reproduce the bug:

[1] Create new text document.
[2] Enable tracking of changes by the menu: Edit > Track Changes > Record
[3] Insert a bit of text. The text is displayed as changed text (underlined and coloured).
[4] Display dialogue “Manage Changes” with menu: Edit > Track Changes > Manage… At least one change should be displayed.
[5] Display dialogue “Comment: Insertion” of a change: Right-click a change > Edit Comment…
[6] Insert a bit of text, then OK. The comment of this change is not displayed. Expected: Comment should be displayed.
[7] Close dialogue “Manage Changes”.
[8] Open dialogue again: Edit > Track Changes > Manage… Now the comment is displayed.

Bug does not occur with version 5.3.0 but with version 5.3.6. Therefore this bug is a regression. Bug still exists in version 6.1.4.
Comment 1 Durgapriyanka 2019-01-02 21:14:14 UTC
Thank you for reporting the bug. I can confirm that the bug is present in

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2019-01-16 18:16:52 UTC
Regression introduced by:

author	Pranav Kant <pranavk@collabora.co.uk>	2017-03-20 20:48:40 +0530
committer	Jan Holesovsky <kendy@collabora.com>	2017-03-21 11:12:24 +0000
commit	551e86ff278d4608a54d311f387ca57ef4732000 (patch)
tree	780d29ff3294f80e79610ca4c344aab584366cf5
parent	60d1f712f4d130843516f159620ece9a1cb6d87a (diff)
tdf#106382 - Fix incorrectly shown change tracking comments in dialog

Bisected with: bibisect-linux-64-5.4

Adding Cc: to Pranav Kant
Comment 3 Commit Notification 2019-01-30 16:33:27 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fa1eba9b761ec2932a8655d0561bdf36403f490c%5E%21

tdf#122428 show new comments in Manage Changes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-01-31 15:21:49 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: d87bf779c7a5fc5512b53aa175222d8f71d6698b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@László Németh, thanks for fixing this!
Comment 5 Commit Notification 2019-01-31 15:24:39 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ca550021a557ac8b8ba771b6770f054bcc4dace5%5E%21

tdf#122428 show new comments in Manage Changes

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Harald Koester 2019-04-11 09:47:40 UTC
Checked with version 6.2.2 (16 bit, Win 10). Works as expected now. Hence bug closed.